PS5

SpecterDev ha publicado el primer exploit del kernel de Playstation 5, la última consola de Sony, para el firmware 4.03. Con muchas limitaciones, eso si, pero no deja de ser un gran paso para la scene.

Este exploit se vasa en la vulnerabilidad de Webkit como punto de entrada, por lo que es compatible con cualquier modelo de PS5, tenga o no lector, siempre y cuando esté en el firmware 4.03. Es posible que también funcione con anteriores versiones, pero posiblemente el exploit necesitaría algunos ajustes. Los firmwares más allá del 4.03 no son compatibles porque por ahora no son vulnerables al exploit por Webkit).

Eso si, SpecterDev advierte que esta primera versión del PS5 4.03 Kernel Exploit tiene importantes limitaciones. Para empezar, solo concede acceso de lectura y escritura, no de ejecución, por lo que no es posible cargar y ejecutar binarios, aunque si nos da acceso al menú Debug.

debug settings ps5

La otra gran limitación del exploit en estos momentos es su inestabilidad. Según el autor, solo nos funcionará en torno al 30% de las veces, por lo que seguramente necesitemos intentarlo varias veces para echarlo a andar.

Como decíamos al principio, pese a sus limitaciones y al hecho que para el usuario normal ahora mismo no tenga repercusión alguna, es un gran paso para la scene por las posibilidades que abre para la investigación y desarrollo homebrew en torno a la nueva consola de Sony.

Comentarios: